/*=============================================
  EDITAR USUARIO
=============================================*/
$(document).on("click", ".btnEditarContactoP", function(){
	var idContacto = $(this).attr("idContactoP");
	var datos = new FormData();
	datos.append("idContactoP", idContacto);
  // SE UTILIZA AJAX PARA CARGAR LA INFO SIN REFRESCAR LA PAGINA
	$.ajax({
		url:"ajax/contactoP.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){

			for (var i = 0; i < respuesta.length; i++) {
			$("#editarContactoP").val(respuesta[i]["contP_nombre"]);
			$("#editarTelefonoP").val(respuesta[i]["contP_telefono"]); // Como el Rol esta en un Select, se usa el elemento html para que se muestre
      $("#editarCelularP").val(respuesta[i]["contP_celular"]);// Aparte se le envia también el campo del rol al atributp Val para que se mantenga en el ID
			$("#editarCorreoP").val(respuesta[i]["contP_correo"]);
			$("#editarDepartamentoP").val(respuesta[i]["contP_departamento"]);
    	$("#editarPuestoP").val(respuesta[i]["contP_puesto"]);
    	$("#editarContactoP_").val(respuesta[i]["id_proveedor"]);
    	$("#idContP").val(idContacto);
		}

		}

	});

});

/*=============================================
ELIMINAR USUARIO
=============================================*/
$(document).on("click", ".btnEliminarContactoP", function(){

  var idContacto = $(this).attr("idContactoP");


  swal({
    title: '¿Está seguro de borrar a el contacto?',
    text: "¡Usted puede cancelar la orden!",
    type: 'warning',
    showCancelButton: true,
    confirmButtonColor: '#3085d6',
    cancelButtonColor: '#d33',
    cancelButtonText: 'Cancelar',
    confirmButtonText: 'Si, borrar el contacto!'
  }).then(function(result){

    if(result.value){

      window.location = "index.php?ruta=contactosP&idContactoP="+idContacto;

    }

  })

})
